INTERFACE
SUBROUTINE GATHERJCVERT(PLOCAL,PGLOBAL,KFIELDS,PSURF,KSURF)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVL ,NFLEVG ,NUMP
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELDS
INTEGER(KIND=JPIM),INTENT(IN) :: KSURF
REAL(KIND=JPRB) ,INTENT(IN) :: PLOCAL(NFLEVL,NUMP,KFIELDS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGLOBAL(NFLEVG,NUMP,KFIELDS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSURF(KSURF,NUMP)
END SUBROUTINE GATHERJCVERT
END INTERFACE
